body,
html {
  font-family: Arial, Helvetica, sans-serif;
  padding: 0;
  margin: 0;
  background: #100f0e;
  color: rgb(247, 245, 244);
  box-sizing: border-box;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: "Courier New", Courier, monospace;
  padding: 5px 5px 5px 15px;
  background: rgba(247, 245, 244, 0.611);
  color: #100f0e;
  width: fit-content;
}

p,
code {
  padding: 5px;
}

a {
  margin-left: 5px;
  padding: 5px 15px;
  display: block;
  color: rgb(255, 127, 189);
  text-decoration-line: none;
  position: relative;
  width: fit-content;
}

a::before {
  content: "";
  width: 5px;
  height: 5px;
  position: absolute;
  top: 50%;
  left: 0;
  transform: translate(0, -50%);
  border: 2px solid rgba(247, 245, 244, 0.611);
  background: #100f0e; /** I don't know why this needs to be a solid color. Is this a browser bug? */
}

a:visited {
  color: rgb(108, 218, 40);
}

a:visited::before {
  background: rgba(247, 245, 244, 0.611) !important;
}

/* a[href^="http"]::after {
  content: url("./launch.svg");
  width: 12px;
  height: 12px;
  position: absolute;
  right: 0;
  top: 50%;
  transform: translate(0, -50%);
  color: inherit;
} */

h1 > a,
h2 > a,
h3 > a,
h4 > a,
h5 > a,
h6 > a {
  display: block;
  color: inherit;
  text-decoration-line: none;
  position: relative;
  padding: 0;
}

h1 > a::before,
h2 > a::before,
h3 > a::before,
h4 > a::before,
h5 > a::before,
h6 > a::before {
  content: none;
}

h1 > a:visited,
h2 > a:visited,
h3 > a:visited,
h4 > a:visited,
h5 > a:visited,
h6 > a:visited {
  color: inherit;
}

hr {
  margin-top: 45px;
  border-style: dashed;
}
